Subject: RE: Routing based proposals [Re: Draft of updated WG charter]

From: "Ayyasamy, Senthilkumar \(UMKC-Student\)" <[email-masked]>
Date: Mon, 12 Jan 2004 03:21:15 -0600

>>> I proposed aggregation based on geography inside service provider
>>> networks a while ago. I still think this is a useful approach, but I
>>> observed a decided lack of consensus in this area...
>
>> this is hardly a change of the routing algorithms though.
>
> Isn't it? BGP doesn't have a set algorithm. My proposal certainly
> changes the way in which BGP routers handle routing information, even
> though it does so through the use of filters and policy hooks rather
> than by changing code.

it is addressing related. Actually, we had many addressing related work
(metro-based, landmark, geographic, hierarchy and many different dynamic
addressing scheme) but only few routing related (like NIMROD.) But, yes
address allocation does have impact on routing policies and routing table
size.